petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCApplyTranspose

Applies the transpose of preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApplyTranspose(PC pc,Vec x,Vec y)

Collective on PC and Vec Many br

### Input Parameters

| pc | - the preconditioner context Many br
| x | - input vector Many br

### Output Parameter

y -output vector Many br

Notes: For complex numbers this applies the non-Hermitian transpose. Many br

Developer Notes: We need to implement a PCApplyHermitianTranspose() Many br

Many br

### Keywords

PC, apply, transpose

### See Also

PCApply(), PCApplyBAorAB(), PCApplyBAorABTranspose(), PCApplyTransposeExists()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages